Package org.italiangrid.voms.credential

# Class FilePermissionError

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.italiangrid.voms.VOMSError
org.italiangrid.voms.credential.FilePermissionError

All Implemented Interfaces:
  `Serializable`

public class FilePermissionError extends VOMSError
This error is raised when there is an attempt to load a credential which has the wrong file permissions

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FilePermissionError(String message)`
`FilePermissionError(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilePermissionError

public FilePermissionError(String message)

### FilePermissionError

public FilePermissionError(String message, Throwable cause)